
Installer - Bug #9803

unable to use the installer on a system with puppet pe

03/18/2015 04:31 AM - Ohad Levy

Status: Rejected   

Priority: Low   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1182873 Red Hat JIRA:  

Pull request:    

Description

during installation of foreman (or katello-installer) on a system with PE puppet, the installer seems to write to the following

directory/files.

/var/opt/lib/pe-puppet/foreman_cache_data

/var/opt/lib/pe-puppet/concat/fragments/foreman_settings

/var/opt/lib/pe-puppet/concat/fragments/foreman_settings/01-header.yaml

/var/opt/lib/pe-puppet/concat/output/foreman_settings.out

/var/opt/lib/pe-puppet/foreman_cache_data/admin_password

/var/opt/lib/pe-puppet/foreman_cache_data/ca_key_password

/var/opt/lib/pe-puppet/foreman_cache_data/candlepin_db_password

/var/opt/lib/pe-puppet/foreman_cache_data/db_password

/var/opt/lib/pe-puppet/foreman_cache_data/katello_oauth_secret

/var/opt/lib/pe-puppet/foreman_cache_data/keystore_password-file

/var/opt/lib/pe-puppet/foreman_cache_data/oauth_consumer_key

/var/opt/lib/pe-puppet/foreman_cache_data/oauth_consumer_secret

/var/opt/lib/pe-puppet/foreman_cache_data/post_sync_token

/var/opt/lib/pe-puppet/foreman_cache_data/pulp_node_admin_password

/var/opt/lib/pe-puppet/foreman_cache_data/pulp_password

As a result, katello-installer's Puppet instance is unable to find these files, and the install fails. Without Puppet Enterprise agent on

the system, the install succeeds.

Related issues:

Has duplicate Packaging - Bug #9588: foreman-installer should be able to work... Duplicate 02/27/2015

History

#1 - 03/18/2015 04:31 AM - Ohad Levy

- Bugzilla link set to 1182873

#2 - 03/18/2015 04:49 AM - Dominic Cleal

- Priority changed from Normal to Low

Not suppported for many reasons, see http://theforeman.org/manuals/1.7/index.html#3.1.2PuppetCompatibility.

#3 - 05/20/2017 05:45 AM - Anonymous

- Has duplicate Bug #9588: foreman-installer should be able to work with puppet enterprise added

#4 - 05/20/2017 05:46 AM - Anonymous

This should be much easier now with Aio packages being supported, just somebody needs to do it (mainly Pupet module work)

#5 - 10/06/2017 12:17 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected
http://theforeman.org/manuals/1.7/index.html#3.1.2PuppetCompatibility


This is something that should technically work but I don't think anyone actively wants to support this.
